Replication Links - Get
Gets a replication link.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/replicationLinks/{linkId}?api-version=2021-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
database
|
path | True |
string |
The name of the database. |
|
link
|
path | True |
string |
The name of the replication link. |
|
resource
|
path | True |
string |
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
server
|
path | True |
string |
The name of the server. |
|
subscription
|
path | True |
string |
The subscription ID that identifies an Azure subscription. |
|
api-version
|
query | True |
string |
The API version to use for the request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved the specified replication link. |
|
| Other Status Codes |
*** Error Responses: ***
|
Examples
Gets the replication link.
Sample Request
Sample Response
{
"properties": {
"partnerServer": "testsvr",
"partnerDatabase": "gamma-db",
"partnerLocation": "Japan East",
"role": "Primary",
"partnerRole": "Secondary",
"replicationMode": "ASYNC",
"startTime": "2018-06-21T08:12:43.783Z",
"percentComplete": 100,
"replicationState": "CATCH_UP",
"isTerminationAllowed": true,
"linkType": "GEO"
},
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/sourcesvr/databases/gamma-db/replicationLinks/4891ca10-ebd0-47d7-9182-c722651780fb",
"name": "4891ca10-ebd0-47d7-9182-c722651780fb"
}
Definitions
| Name | Description |
|---|---|
|
Replication |
A replication link. |
|
Replication |
Link type (GEO, NAMED, STANDBY). |
|
Replication |
Local replication role. |
|
Replication |
Replication state (PENDING, SEEDING, CATCHUP, SUSPENDED). |
ReplicationLink
A replication link.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource ID. |
| name |
string |
Resource name. |
| properties.isTerminationAllowed |
boolean |
Whether the user is currently allowed to terminate the link. |
| properties.linkType |
Link type (GEO, NAMED, STANDBY). |
|
| properties.partnerDatabase |
string |
Resource partner database. |
| properties.partnerLocation |
string |
Resource partner location. |
| properties.partnerRole |
Partner replication role. |
|
| properties.partnerServer |
string |
Resource partner server. |
| properties.percentComplete |
integer |
Seeding completion percentage for the link. |
| properties.replicationMode |
string |
Replication mode. |
| properties.replicationState |
Replication state (PENDING, SEEDING, CATCHUP, SUSPENDED). |
|
| properties.role |
Local replication role. |
|
| properties.startTime |
string |
Time at which the link was created. |
| type |
string |
Resource type. |
ReplicationLinkType
Link type (GEO, NAMED, STANDBY).
| Name | Type | Description |
|---|---|---|
| GEO |
string |
|
| NAMED |
string |
|
| STANDBY |
string |
ReplicationRole
Local replication role.
| Name | Type | Description |
|---|---|---|
| Copy |
string |
|
| NonReadableSecondary |
string |
|
| Primary |
string |
|
| Secondary |
string |
|
| Source |
string |
ReplicationState
Replication state (PENDING, SEEDING, CATCHUP, SUSPENDED).
| Name | Type | Description |
|---|---|---|
| CATCH_UP |
string |
|
| PENDING |
string |
|
| SEEDING |
string |
|
| SUSPENDED |
string |